Subject: Re: [PATCH v6 09/17] serial: mpc512x: adjust for OF based clock lookup

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 4 Dec 2013 16:55:53 -0800

On Sat, Nov 30, 2013 at 11:51:29PM +0100, Gerhard Sittig wrote:
> after device tree based clock lookup became available, the peripheral
> driver need no longer construct clock names which include the PSC index,
> remove the "psc%d_mclk" template and unconditionally use 'mclk'
> 
> acquire and release the "ipg" clock item for register access as well
> 
> Cc: Greg Kroah-Hartman <[email-masked]>
> Cc: Jiri Slaby <[email-masked]>
> Cc: [email-masked]
> Acked-by: Greg Kroah-Hartman <[email-masked]> # for v4
> Signed-off-by: Gerhard Sittig <[email-masked]>
> ---
> Greg, the difference since v4 of this patch is that v4 took the 'mclk'
> and 'ipg' clock items in reverse order, and thus potentially obfuscated
> the adjusted name for 'mclk' -- the updated version of the patch is
> identical in content but cleaner diff-wise

That's fine:

Acked-by: Greg Kroah-Hartman <[email-masked]>